# Get services — GET /v1/o11y/cloud_integrations/{cloud_provider}/services/{service_id}

URL: https://docs.hanzo.ai/docs/openapi/o11y/getservice

> Returns one service the given provider can collect from, by service id, optionally scoped to one cloud integration.

`GET /v1/o11y/cloud_integrations/{cloud_provider}/services/{service_id}`

> [O11y →](https://docs.hanzo.ai/docs/openapi/o11y) · [All API references →](https://docs.hanzo.ai/docs/openapi) · [Get started →](https://docs.hanzo.ai/docs/guides)

|               |                                                                                          |
| ------------- | ---------------------------------------------------------------------------------------- |
| **Address**   | `https://api.hanzo.ai/v1/o11y/cloud_integrations/{cloud_provider}/services/{service_id}` |
| **Method**    | `GET`                                                                                    |
| **Operation** | `GetService`                                                                             |
| **Auth**      | `Authorization: Bearer $HANZO_API_KEY`                                                   |

Returns one service the given provider can collect from, by
service id, optionally scoped to one cloud integration. Admin gate.

## Request

3 fields.

| Field                  | In    | Type   | Required | Description                                                                |
| ---------------------- | ----- | ------ | -------- | -------------------------------------------------------------------------- |
| `cloud_provider`       | path  | string | yes      |                                                                            |
| `service_id`           | path  | string | yes      |                                                                            |
| `cloud_integration_id` | query | string | —        | CloudIntegrationID, when set, scopes the service to one cloud integration. |

## Response

| Status    | Body                | Meaning           |
| --------- | ------------------- | ----------------- |
| `200`     | o11y.O11yServiceOut | ok                |
| `202`     | Approval            | held for approval |
| `default` | problem-details     | refused           |

`200` body — 54 fields.

| Field                                                       | In   | Type                                                | Always | Description          |
| ----------------------------------------------------------- | ---- | --------------------------------------------------- | ------ | -------------------- |
| `data`                                                      | body | o11y.Service                                        | —      |                      |
| `data.assets`                                               | body | o11y.ServiceAssets                                  | —      |                      |
| `data.assets.dashboards`                                    | body | o11y.ServiceDashboard\[]                            | —      |                      |
| `data.assets.dashboards[].description`                      | body | string                                              | —      |                      |
| `data.assets.dashboards[].integrationDashboard`             | body | o11y.StorableIntegrationDashboard                   | —      |                      |
| `data.assets.dashboards[].integrationDashboard.createdAt`   | body | string (date-time)                                  | —      |                      |
| `data.assets.dashboards[].integrationDashboard.dashboardId` | body | string                                              | —      |                      |
| `data.assets.dashboards[].integrationDashboard.id`          | body | string                                              | —      |                      |
| `data.assets.dashboards[].integrationDashboard.provider`    | body | any                                                 | —      |                      |
| `data.assets.dashboards[].integrationDashboard.slug`        | body | string                                              | —      |                      |
| `data.assets.dashboards[].integrationDashboard.updatedAt`   | body | string (date-time)                                  | —      |                      |
| `data.assets.dashboards[].title`                            | body | string                                              | —      |                      |
| `data.cloudIntegrationService`                              | body | o11y.CloudIntegrationService                        | —      |                      |
| `data.cloudIntegrationService.cloudIntegrationId`           | body | any                                                 | —      |                      |
| `data.cloudIntegrationService.config`                       | body | o11y.ServiceConfig                                  | —      |                      |
| `data.cloudIntegrationService.config.aws`                   | body | o11y.AWSServiceConfig                               | —      |                      |
| `data.cloudIntegrationService.config.aws.logs`              | body | o11y.AWSServiceLogsConfig                           | —      |                      |
| `data.cloudIntegrationService.config.aws.logs.enabled`      | body | boolean                                             | —      |                      |
| `data.cloudIntegrationService.config.aws.logs.s3Buckets`    | body | object                                              | —      |                      |
| `data.cloudIntegrationService.config.aws.logs.s3Buckets.*`  | body | string\[]                                           | —      |                      |
| `data.cloudIntegrationService.config.aws.metrics`           | body | o11y.AWSServiceMetricsConfig                        | —      |                      |
| `data.cloudIntegrationService.config.aws.metrics.enabled`   | body | boolean                                             | —      |                      |
| `data.cloudIntegrationService.config.azure`                 | body | o11y.AzureServiceConfig                             | —      |                      |
| `data.cloudIntegrationService.config.azure.logs`            | body | o11y.AzureServiceLogsConfig                         | —      |                      |
| `data.cloudIntegrationService.config.azure.logs.enabled`    | body | boolean                                             | —      |                      |
| `data.cloudIntegrationService.config.azure.metrics`         | body | o11y.AzureServiceMetricsConfig                      | —      |                      |
| `data.cloudIntegrationService.config.azure.metrics.enabled` | body | boolean                                             | —      |                      |
| `data.cloudIntegrationService.config.gcp`                   | body | o11y.GCPServiceConfig                               | —      |                      |
| `data.cloudIntegrationService.config.gcp.logs`              | body | o11y.GCPServiceLogsConfig                           | —      |                      |
| `data.cloudIntegrationService.config.gcp.logs.enabled`      | body | boolean                                             | —      |                      |
| `data.cloudIntegrationService.config.gcp.metrics`           | body | o11y.GCPServiceMetricsConfig                        | —      |                      |
| `data.cloudIntegrationService.config.gcp.metrics.enabled`   | body | boolean                                             | —      |                      |
| `data.cloudIntegrationService.createdAt`                    | body | string (date-time)                                  | —      |                      |
| `data.cloudIntegrationService.id`                           | body | any                                                 | —      |                      |
| `data.cloudIntegrationService.type`                         | body | any                                                 | —      |                      |
| `data.cloudIntegrationService.updatedAt`                    | body | string (date-time)                                  | —      |                      |
| `data.dataCollected`                                        | body | o11y.DataCollected                                  | —      |                      |
| `data.dataCollected.logs`                                   | body | o11y.cloudintegrationtypes.CollectedLogAttribute\[] | —      |                      |
| `data.dataCollected.logs[].name`                            | body | string                                              | —      |                      |
| `data.dataCollected.logs[].path`                            | body | string                                              | —      |                      |
| `data.dataCollected.logs[].type`                            | body | string                                              | —      |                      |
| `data.dataCollected.metrics`                                | body | o11y.cloudintegrationtypes.CollectedMetric\[]       | —      |                      |
| `data.dataCollected.metrics[].description`                  | body | string                                              | —      |                      |
| `data.dataCollected.metrics[].name`                         | body | string                                              | —      |                      |
| `data.dataCollected.metrics[].type`                         | body | string                                              | —      |                      |
| `data.dataCollected.metrics[].unit`                         | body | string                                              | —      |                      |
| `data.icon`                                                 | body | string                                              | —      |                      |
| `data.id`                                                   | body | string                                              | —      |                      |
| `data.overview`                                             | body | string                                              | —      | markdown             |
| `data.supportedSignals`                                     | body | o11y.SupportedSignals                               | —      |                      |
| `data.supportedSignals.logs`                                | body | boolean                                             | —      |                      |
| `data.supportedSignals.metrics`                             | body | boolean                                             | —      |                      |
| `data.title`                                                | body | string                                              | —      |                      |
| `status`                                                    | body | string                                              | —      | Status is "success". |

Failure carries the platform error shape — see [Errors](https://docs.hanzo.ai/docs/errors).

## Examples

**CLI**

```bash
hanzo o11y cloud_integrations services get <cloud_provider> <service_id>
```

**SDK**

**.ts**

```ts
import { Configuration, O11yApi } from 'hanzoai';

const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getService({ cloud_provider: 'cloud_provider', service_id: 'service_id' });
```

**.py**

```python
from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi

client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_service(cloud_provider='cloud_provider', service_id='service_id')
```

**.go**

```go
cfg := hanzoai.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := hanzoai.NewAPIClient(cfg)

resp, _, err := client.O11yAPI.GetService(context.Background()).Execute()
if err != nil {
	return err
}
```

**.rs**

```rust
use hanzo_client::apis::{configuration::Configuration, o11y_api};

let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();

let result = o11y_api::get_service(&cfg, Default::default()).await?;
```

**.java**

```java
import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;

ApiClient client = new ApiClient();
client.setBearerToken(System.getenv("HANZO_API_KEY"));

var result = new O11yApi(client).getService();
```

**HTTP**

```bash
curl https://api.hanzo.ai/v1/o11y/cloud_integrations/<cloud_provider>/services/<service_id> \
  -H "Authorization: Bearer $HANZO_API_KEY"
```

**MCP**

Tool `o11y`, op `GetService` — POST the JSON-RPC envelope to `https://api.hanzo.ai/v1/mcp`.

```bash
curl -X POST https://api.hanzo.ai/v1/mcp \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "jsonrpc": "2.0",
       "id": 1,
       "method": "tools/call",
       "params": {
         "name": "o11y",
         "arguments": {
           "op": "GetService",
           "input": {
             "cloud_provider": "<cloud_provider>",
             "service_id": "<service_id>"
           }
         }
       }
     }'
```

---

[O11y API](https://docs.hanzo.ai/docs/openapi/o11y) · [All Hanzo APIs](https://docs.hanzo.ai/docs/openapi) · [Interactive reference](https://docs.hanzo.ai/docs/openapi/reference)
